<!-- 订单流转页面 -->
<template>
	<view class="roam">
		<view v-if="list.length > 0" v-for="item in list" :key="item.id" class="context">
			<view class="time">{{ item.createTime }}</view>
			<view class="desc">
				<view>流转说明:</view>
				<view>{{ item.centext }}</view>
				<view v-if="item.textCentext" style="margin-top: 10rpx;">驳回备注:</view>
				<view v-if="item.textCentext" class="">{{ item.textCentext }}</view>
			</view>
		</view>
		<uv-empty v-else mode="data" :width="500" :textSize="30" text="暂无流转记录"
			icon="/static/empty/empty.png"></uv-empty>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				list: [],
				form: {
					orderId: undefined
				}
			}
		},
		onShow() {
			this.getOrderFlowList()
		},
		onLoad: function(options) {
			this.form.orderId = options.orderId || ''
		},
		methods: {
			//获取订单流转记录
			getOrderFlowList() {
				this.$api('getOrderFlowList', this.form, res => {
					if (res.code == 200) {
						this.list = res.result
					}
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
	.roam {
		width: 96%;
		margin: 0rpx auto;

		.context {
			align-items: center;
			box-sizing: border-box;
			margin: 20rpx 0rpx;
			border-radius: 10rpx;
			padding: 20rpx;
			box-shadow: 0rpx 0rpx 15rpx rgba(0, 0, 0, .2);

			.desc {}

			.time {
				text-align: right;
				font-size: 26rpx;
				color: #585858;
			}
		}
	}
</style>